// ---------------------------------------------------------------------------------------------------------------------
// Roles Manager
// ---------------------------------------------------------------------------------------------------------------------

// Models
import { Role } from '../models/role.js';

// Resource Access
import * as rolesRA from '../resource-access/roles.js';

// ---------------------------------------------------------------------------------------------------------------------

export async function get(roleID : string) : Promise<Role>
{
    return rolesRA.get(roleID);
}

export async function list() : Promise<Role[]>
{
    return rolesRA.list();
}

// ---------------------------------------------------------------------------------------------------------------------
